<?php
/*error_reporting(E_ALL);
ini_set('display_errors', 1);*/

class wps_no_run {


  public function __construct() {
  }


  public function check_time() {
    $settings = get_option(WPS_IC_SETTINGS);

    // Get time from database
    $time = $settings['wps_no']['time']; // 1:00 PM OR 6:00 AM or...

    // Explode 0 => time, 1 => suffix PM/AM
    $time   = explode(' ', $time);
    $suffix = $time[1];
    $time   = $time[0];

    // Today Date
    $date = date('d-m-Y');

    if ($suffix == 'AM') {
      // We need to take a look at previous day also.
      $date = date('d-m-Y', time() - 60*60*24);

    } else {
      $date = date('d-m-Y');
    }

    $compiled_time = $date . ' ' . $time . ' ' . $suffix;

    $last_trigger = get_option('wps_no_last_trigger');

    // if (time() >= strtotime($date . ' 12:30 PM')) { ==> WORKS
    if (current_time('timestamp') >= strtotime($date . ' ' . $time . ' ' . $suffix)) {

      $current_time = current_time('timestamp'); // 19.10.2017 10:48 AM
      // $last_trigger => 19.10.2017 09:48

      $next_trigger = current_time('timestamp');
      if (!empty($last_trigger)) {
        $next_trigger = $last_trigger+60*60*24;
      }



      if (date('h:i A', current_time('timestamp')) == $time . ' ' . $suffix || $next_trigger <= current_time('timestamp')) {
        $this->trigger();
        $msg = '';
        $msg .= print_r(current_time('timestamp'), true) . "\r\n";
        $msg .= print_r($last_trigger, true) . "\r\n";
        $msg .= print_r(strtotime($date . ' ' . $time . ' ' . $suffix), true) . "\r\n";
      } else {
        wp_send_json_success('Not time yet. ' . date('h:i A', current_time('timestamp')) . ' != ' . $time. ' ' . $suffix);
      }

    } else {
      wp_send_json_success('Failed Current time: ' . date('d.m.Y H:i', current_time('timestamp')) . ' Run at: ' . $date . ' ' . $time . ' ' . $suffix);
    }

  }

}