/*!
 * jQuery & Zepto Lazy - AJAX Plugin - v1.4
 * http://jquery.eisbehr.de/lazy/
 *
 * Copyright 2012 - 2018, Daniel 'Eisbehr' Kern
 *
 * Dual licensed under the MIT and GPL-2.0 licenses:
 * http://www.opensource.org/licenses/mit-license.php
 * http://www.gnu.org/licenses/gpl-2.0.html
 */
;(function(b){b.lazy("ajax",function(d,c){a(this,d,c,d.attr("data-method"))});b.lazy("get",function(d,c){a(this,d,c,"GET")});b.lazy("post",function(d,c){a(this,d,c,"POST")});b.lazy("put",function(d,c){a(this,d,c,"PUT")});function a(c,e,d,g){g=g?g.toUpperCase():"GET";var f;if((g==="POST"||g==="PUT")&&c.config("ajaxCreateData")){f=c.config("ajaxCreateData").apply(c,[e])}b.ajax({url:e.attr("data-src"),type:g==="POST"||g==="PUT"?g:"GET",data:f,dataType:e.attr("data-type")||"html",success:function(h){e.html(h);d(true);if(c.config("removeAttribute")){e.removeAttr("data-src data-method data-type")}},error:function(){d(false)}})}})(window.jQuery||window.Zepto);
/*!
 * jQuery & Zepto Lazy - AV Plugin - v1.4
 * http://jquery.eisbehr.de/lazy/
 *
 * Copyright 2012 - 2018, Daniel 'Eisbehr' Kern
 *
 * Dual licensed under the MIT and GPL-2.0 licenses:
 * http://www.opensource.org/licenses/mit-license.php
 * http://www.gnu.org/licenses/gpl-2.0.html
 */
;(function(a){a.lazy(["av","audio","video"],["audio","video"],function(e,c){var g=e[0].tagName.toLowerCase();if(g==="audio"||g==="video"){var j="data-src",b=e.find(j),h=e.find("data-track"),d=0,f=function(){if(++d===b.length){c(false)}},i=function(){var m=a(this),l=m[0].tagName.toLowerCase(),k=m.prop("attributes"),n=a(l===j?"<source>":"<track>");if(l===j){n.one("error",f)}a.each(k,function(o,p){n.attr(p.name,p.value)});m.replaceWith(n)};e.one("loadedmetadata",function(){c(true)}).off("load error").attr("poster",e.attr("data-poster"));if(b.length){b.each(i)}else{if(e.attr(j)){a.each(e.attr(j).split(","),function(k,l){var m=l.split("|");e.append(a("<source>").one("error",f).attr({src:m[0].trim(),type:m[1].trim()}))});if(this.config("removeAttribute")){e.removeAttr(j)}}else{c(false)}}if(h.length){h.each(i)}}else{c(false)}})})(window.jQuery||window.Zepto);
/*!
 * jQuery & Zepto Lazy - iFrame Plugin - v1.5
 * http://jquery.eisbehr.de/lazy/
 *
 * Copyright 2012 - 2018, Daniel 'Eisbehr' Kern
 *
 * Dual licensed under the MIT and GPL-2.0 licenses:
 * http://www.opensource.org/licenses/mit-license.php
 * http://www.gnu.org/licenses/gpl-2.0.html
 */
;(function(a){a.lazy(["frame","iframe"],"iframe",function(e,d){var b=this;if(e[0].tagName.toLowerCase()==="iframe"){var c="data-src",g="data-error-detect",f=e.attr(g);if(f!=="true"&&f!=="1"){e.attr("src",e.attr(c));if(b.config("removeAttribute")){e.removeAttr(c+" "+g)}}else{a.ajax({url:e.attr(c),dataType:"html",crossDomain:true,xhrFields:{withCredentials:true},success:function(h){e.html(h).attr("src",e.attr(c));if(b.config("removeAttribute")){e.removeAttr(c+" "+g)}},error:function(){d(false)}})}}else{d(false)}})})(window.jQuery||window.Zepto);
/*!
 * jQuery & Zepto Lazy - NOOP Plugin - v1.2
 * http://jquery.eisbehr.de/lazy/
 *
 * Copyright 2012 - 2018, Daniel 'Eisbehr' Kern
 *
 * Dual licensed under the MIT and GPL-2.0 licenses:
 * http://www.opensource.org/licenses/mit-license.php
 * http://www.gnu.org/licenses/gpl-2.0.html
 */
;(function(a){a.lazy("noop",function(){});a.lazy("noop-success",function(c,b){b(true)});a.lazy("noop-error",function(c,b){b(false)})})(window.jQuery||window.Zepto);
/*!
 * jQuery & Zepto Lazy - Picture Plugin - v1.3
 * http://jquery.eisbehr.de/lazy/
 *
 * Copyright 2012 - 2018, Daniel 'Eisbehr' Kern
 *
 * Dual licensed under the MIT and GPL-2.0 licenses:
 * http://www.opensource.org/licenses/mit-license.php
 * http://www.gnu.org/licenses/gpl-2.0.html
 */
;(function(e){var g="data-src",i="data-srcset",h="data-media",b="data-sizes",c="data-type";e.lazy(["pic","picture"],["picture"],function(m,j){var l=m[0].tagName.toLowerCase();if(l==="picture"){var k=m.find(g),n=m.find("data-img"),o=this.config("imageBase")||"";if(k.length){k.each(function(){d(e(this),"source",o)});if(n.length===1){n=d(n,"img",o);n.on("load",function(){j(true)}).on("error",function(){j(false)});n.attr("src",n.attr(g));if(this.config("removeAttribute")){n.removeAttr(g)}}else{if(m.attr(g)){a(m,o+m.attr(g),j);if(this.config("removeAttribute")){m.removeAttr(g)}}else{j(false)}}}else{if(m.attr(i)){e("<source>").attr({media:m.attr(h),sizes:m.attr(b),type:m.attr(c),srcset:f(m.attr(i),o)}).appendTo(m);a(m,o+m.attr(g),j);if(this.config("removeAttribute")){m.removeAttr(g+" "+i+" "+h+" "+b+" "+c)}}else{j(false)}}}else{j(false)}});function d(l,k,n){var j=l.prop("attributes"),m=e("<"+k+">");e.each(j,function(o,p){if(p.name==="srcset"||p.name===g){p.value=f(p.value,n)}m.attr(p.name,p.value)});l.replaceWith(m);return m}function a(k,m,j){var l=e("<img>").one("load",function(){j(true)}).one("error",function(){j(false)}).appendTo(k).attr("src",m);l.complete&&l.load()}function f(n,o){if(o){var j=n.split(",");n="";for(var m=0,k=j.length;m<k;m++){n+=o+j[m].trim()+(m!==k-1?",":"")}}return n}})(window.jQuery||window.Zepto);
/*!
 * jQuery & Zepto Lazy - Script Plugin - v1.2
 * http://jquery.eisbehr.de/lazy/
 *
 * Copyright 2012 - 2018, Daniel 'Eisbehr' Kern
 *
 * Dual licensed under the MIT and GPL-2.0 licenses:
 * http://www.opensource.org/licenses/mit-license.php
 * http://www.gnu.org/licenses/gpl-2.0.html
 */
;(function(a){a.lazy(["js","javascript","script"],"script",function(c,b){if(c[0].tagName.toLowerCase()==="script"){c.attr("src",c.attr("data-src"));if(this.config("removeAttribute")){c.removeAttr("data-src")}}else{b(false)}})})(window.jQuery||window.Zepto);
/*!
 * jQuery & Zepto Lazy - Vimeo Plugin - v1.1
 * http://jquery.eisbehr.de/lazy/
 *
 * Copyright 2012 - 2018, Daniel 'Eisbehr' Kern
 *
 * Dual licensed under the MIT and GPL-2.0 licenses:
 * http://www.opensource.org/licenses/mit-license.php
 * http://www.gnu.org/licenses/gpl-2.0.html
 */
;(function(a){a.lazy("vimeo",function(c,b){if(c[0].tagName.toLowerCase()==="iframe"){c.attr("src","https://player.vimeo.com/video/"+c.attr("data-src"));if(this.config("removeAttribute")){c.removeAttr("data-src")}}else{b(false)}})})(window.jQuery||window.Zepto);
/*!
 * jQuery & Zepto Lazy - YouTube Plugin - v1.5
 * http://jquery.eisbehr.de/lazy/
 *
 * Copyright 2012 - 2018, Daniel 'Eisbehr' Kern
 *
 * Dual licensed under the MIT and GPL-2.0 licenses:
 * http://www.opensource.org/licenses/mit-license.php
 * http://www.gnu.org/licenses/gpl-2.0.html
 */
;(function(a){a.lazy(["yt","youtube"],function(d,c){if(d[0].tagName.toLowerCase()==="iframe"){var b=/1|true/.test(d.attr("data-nocookie"));d.attr("src","https://www.youtube"+(b?"-nocookie":"")+".com/embed/"+d.attr("data-src")+"?rel=0&amp;showinfo=0");if(this.config("removeAttribute")){d.removeAttr("data-src")}}else{c(false)}})})(window.jQuery||window.Zepto);