jQuery(document).ready(function ($) {

    if ($("#wps_ic_slider").length) {
        var is_pro = $('#wps_ic_slider').hasClass('wps_ic_pro');
        var handle = $("#wps-ic-quality-handle");
        var quality = $('input[name="wp-ic-setting[custom_quality]"]').val();
        $("#wps_ic_slider").slider({
            value: quality,
            min: 10,
            max: 95,
            create: function () {
                handle.text(quality);
            },
            slide: function (event, ui) {
                handle.text(ui.value);
            },
            stop: function (event, ui) {
                // ui.value

                if (is_pro) {
                    $('input[name="wp-ic-setting[custom_quality]"]').val(ui.value);
                    $.post(ajaxurl, {action: 'wps_ic_settings_change', what: 'custom_quality', value: ui.value}, function (response) {
                        if (response.success) {
                            // Nothing
                        } else {
                            alert('Oops! We weren\'t able to save your settings! :(');
                        }
                    });
                }

            }
        });
    }

});